﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;
using InvokeSolutions.Xlsx.Data;
using InvokeSolutions.Xlsx;
using System.Diagnostics;

namespace zSampleChartAdvanced
{
    class Program
    {
        static void Main(string[] args)
        {
            File.Copy("template.xlsx", "report.xlsx", true);

            var dds = new InvokeSolutions.Xlsx.Data.DocumentDataSource();

            dds["CUSTOMER"] = "Test Ltd.";
            dds["DATE"] = DateTime.Now.ToLongDateString();
            dds["INVOICE_NUMBER"] = "# INV-06-223";

            dds["C"] = DataItem.ConvertFrom(
                    new[] {
                            new { Y = 2009, USD=1.5, EUR=2.8 },
                            new { Y = 2010, USD=1.1, EUR=2.0 },
                    }
                );

            XlsxRenderer.RenderDocument("report.xlsx", dds);

            Process.Start("report.xlsx");
        }
    }
}
